## mingw-w64-tfel-5.0.1-1.src.tar.zst

=== include/CMakeLists.txt ===
install_header(TFEL Macros.hxx)
install_header(TFEL ContractViolation.hxx)
install_header(TFEL Raise.hxx)
install_header(TFEL Raise.ixx)
install_header(TFEL PhysicalConstants.hxx)

install_header(TFEL/Config/Internals TFELTypesInternals.hxx)
install_header(TFEL/Config/Internals SpatialGradType.hxx)
install_header(TFEL/Config/Internals TemperatureGradientType.hxx)
install_header(TFEL/Config/Internals HeatFluxVectorType.hxx)
install_header(TFEL/Config/Internals InvJacobianType.hxx)
install_header(TFEL/Config/Internals PositionType.hxx)
install_header(TFEL/Config/Internals JacobianType.hxx)
install_header(TFEL/Config/Internals ThermalConductivityMatrixType.hxx)
install_header(TFEL/Config TFEL_MATH_Config.hxx)
install_header(TFEL/Config TFELTypes.hxx)
install_header(TFEL/Config TFELConfig.hxx)
install_header(TFEL/Config GetInstallPath.hxx)
install_header(TFEL/Config GetTFELVersion.h)

install_header(TFEL/Glossary/Forward Glossary.hxx)
install_header(TFEL/Glossary Glossary.hxx)
install_header(TFEL/Glossary GlossaryEntry.hxx)

install_header(TFEL/UnicodeSupport UnicodeSupport.hxx)

install_header(TFEL/Metaprogramming/Forward TypeList.hxx)
install_header(TFEL/Metaprogramming Implements.hxx)
install_header(TFEL/Metaprogramming TypeList.hxx)
install_header(TFEL/Metaprogramming TypeList.ixx)
install_header(TFEL/Metaprogramming GenerateTypeList.hxx)
install_header(TFEL/Metaprogramming InvalidType.hxx)
install_header(TFEL/Metaprogramming HasIterator.hxx)
install_header(TFEL/Metaprogramming HasConstIterator.hxx)
install_header(TFEL/Metaprogramming HasRandomAccessConstIterator.hxx)
install_header(TFEL/Metaprogramming EmptyClass.hxx)
install_header(TFEL/Metaprogramming HasRandomAccessIterator.hxx)
install_header(TFEL/Metaprogramming MakeIntegerRange.hxx)

install_header(TFEL/TypeTraits/Promote Promote.ixx)
install_header(TFEL/TypeTraits BaseType.hxx)
install_header(TFEL/TypeTraits AbsType.hxx)
install_header(TFEL/TypeTraits RealPartType.hxx)
install_header(TFEL/TypeTraits IsFundamentalNumericType.hxx)
install_header(TFEL/TypeTraits IsReal.hxx)
install_header(TFEL/TypeTraits IsScalar.hxx)
install_header(TFEL/TypeTraits IsComplex.hxx)
install_header(TFEL/TypeTraits Promote.hxx)
install_header(TFEL/TypeTraits IsAssignableTo.hxx)
install_header(TFEL/TypeTraits IsUnaryOperator.hxx)
install_header(TFEL/TypeTraits IsInvalid.hxx)
install_header(TFEL/TypeTraits IsRandomAccessIterator.hxx)

install_header(TFEL/System RecursiveFind.hxx)
install_header(TFEL/System ExternalMaterialKnowledgeDescription.hxx)
install_header(TFEL/System ExternalMaterialPropertyDescription.hxx)
install_header(TFEL/System ExternalBehaviourDescription.hxx)
install_header(TFEL/System ExternalFunctionsPrototypes.hxx)
install_header(TFEL/System ExternalLibraryManager.hxx)
install_header(TFEL/System ProcessManager.h)
install_header(TFEL/System ProcessManager.hxx)
install_header(TFEL/System SignalHandler.ixx)
install_header(TFEL/System SystemError.hxx)
install_header(TFEL/System System.hxx)
install_header(TFEL/System SignalHandler.hxx)
install_header(TFEL/System SignalManager.hxx)
install_header(TFEL/System SystemError.ixx)
install_header(TFEL/System ChildProcess.hxx)
install_header(TFEL/System BinaryRead.hxx)
install_header(TFEL/System BinaryWrite.hxx)
install_header(TFEL/System STLContainerBinaryRead.hxx)
install_header(TFEL/System STLContainerBinaryWrite.hxx)
install_header(TFEL/System stream_traits.hxx)
install_header(TFEL/System basic_rstream.hxx)
install_header(TFEL/System basic_rstream.ixx)
install_header(TFEL/System basic_wstream.hxx)
install_header(TFEL/System basic_wstream.ixx)
install_header(TFEL/System rstreamView.hxx)
install_header(TFEL/System rstreamView.ixx)
install_header(TFEL/System wstreamView.hxx)
install_header(TFEL/System wstreamView.ixx)
install_header(TFEL/System rfstream.hxx)
install_header(TFEL/System wfstream.hxx)
install_header(TFEL/System getFunction.h)
install_header(TFEL/System ThreadPool.hxx)
install_header(TFEL/System ThreadPool.ixx)
install_header(TFEL/System ThreadedTaskResult.hxx)
install_header(TFEL/System ThreadedTaskResult.ixx)
install_header(TFEL/System LibraryInformation.hxx)

install_header(TFEL/Utilities StringAlgorithms.hxx)
install_header(TFEL/Utilities Argument.hxx)
install_header(TFEL/Utilities ArgumentParser.hxx)
install_header(TFEL/Utilities ArgumentParserBase.hxx)
install_header(TFEL/Utilities ArgumentParserBase.ixx)
install_header(TFEL/Utilities CxxKeywords.hxx)
install_header(TFEL/Utilities CxxTokenizerOptions.hxx)
install_header(TFEL/Utilities CxxTokenizer.hxx)
install_header(TFEL/Utilities CxxTokenizer.ixx)
install_header(TFEL/Utilities Token.hxx)
install_header(TFEL/Utilities Data.hxx)
install_header(TFEL/Utilities Data.ixx)
install_header(TFEL/Utilities TerminalColors.hxx)
install_header(TFEL/Utilities GenTypeCastError.hxx)
install_header(TFEL/Utilities GenTypeBase.hxx)
install_header(TFEL/Utilities GenTypeBase.ixx)
install_header(TFEL/Utilities GenTypeSpecialisation.ixx)
install_header(TFEL/Utilities TextData.hxx)
install_header(TFEL/Utilities FCString.hxx)
install_header(TFEL/Utilities FCString.ixx)

install_header(TFEL/Exception TFELException.hxx)

install_header(TFEL/FSAlgorithm loop.hxx)
install_header(TFEL/FSAlgorithm swap_ranges.hxx)
install_header(TFEL/FSAlgorithm copy.hxx)
install_header(TFEL/FSAlgorithm generate.hxx)
install_header(TFEL/FSAlgorithm inner_product.hxx)
install_header(TFEL/FSAlgorithm transform.hxx)
install_header(TFEL/FSAlgorithm iota.hxx)
install_header(TFEL/FSAlgorithm min_element.hxx)
install_header(TFEL/FSAlgorithm max_element.hxx)
install_header(TFEL/FSAlgorithm FSAlgorithm.hxx)
install_header(TFEL/FSAlgorithm accumulate.hxx)
install_header(TFEL/FSAlgorithm fill.hxx)
install_header(TFEL/FSAlgorithm for_each.hxx)
install_header(TFEL/FSAlgorithm equal.hxx)

install_header(TFEL/Math/Forward vector.hxx)
install_header(TFEL/Math/Forward qt.hxx)
install_header(TFEL/Math/Forward Complex.hxx)
install_header(TFEL/Math/Forward fsarray.hxx)
install_header(TFEL/Math/Forward runtime_array.hxx)
install_header(TFEL/Math/Forward tvector.hxx)
install_header(TFEL/Math/Forward tmatrix.hxx)
install_header(TFEL/Math/Forward matrix.hxx)
install_header(TFEL/Math/Forward tensor.hxx)
install_header(TFEL/Math/Forward stensor.hxx)
install_header(TFEL/Math/Forward t2tot2.hxx)
install_header(TFEL/Math/Forward t2tost2.hxx)
install_header(TFEL/Math/Forward st2tot2.hxx)
install_header(TFEL/Math/Forward st2tost2.hxx)
install_header(TFEL/Math/Forward Expr.hxx)

install_header(TFEL/Math types.hxx)
install_header(TFEL/Math types.ixx)
install_header(TFEL/Math/Bindings atlas.hxx)
install_header(TFEL/Math fsarray.hxx)
install_header(TFEL/Math runtime_array.hxx)
install_header(TFEL/Math power.hxx)
install_header(TFEL/Math power.ixx)
install_header(TFEL/Math Discretization1D.hxx)
install_header(TFEL/Math Discretization1D.ixx)
install_header(TFEL/Math/Array ArrayConcept.hxx)
install_header(TFEL/Math/Array fsarrayIO.hxx)
install_header(TFEL/Math/Array runtime_arrayIO.hxx)
install_header(TFEL/Math/Array StandardTemplateLibraryCompatibilityLayers.hxx)
install_header(TFEL/Math/Array StandardTemplateLibraryCompatibilityLayers.ixx)
install_header(TFEL/Math/Array ArrayCommonMethods.hxx)
install_header(TFEL/Math/Array ArrayCommonMethods.ixx)
install_header(TFEL/Math/Array ArrayPolicies.hxx)
install_header(TFEL/Math/Array ArrayPolicies.ixx)
install_header(TFEL/Math/Array ConstFixedSizeArrayBase.hxx)
install_header(TFEL/Math/Array ConstFixedSizeArrayBase.ixx)
install_header(TFEL/Math/Array ConstRuntimeArrayBase.hxx)
install_header(TFEL/Math/Array ConstRuntimeArrayBase.ixx)
install_header(TFEL/Math/Array View.hxx)
install_header(TFEL/Math/Array ViewsArray.hxx)
install_header(TFEL/Math/Array ViewsArrayIO.hxx)
install_header(TFEL/Math/Array FixedSizeArrayPolicies.hxx)
install_header(TFEL/Math/Array FixedSizeIndexingPolicies.hxx)
install_header(TFEL/Math/Array GenericFixedSizeArray.hxx)
install_header(TFEL/Math/Array GenericFixedSizeArray.ixx)
install_header(TFEL/Math/Array GenericRuntimeArray.hxx)
install_header(TFEL/Math/Array GenericRuntimeArray.ixx)
install_header(TFEL/Math/Array IndexingPolicies.hxx)
install_header(TFEL/Math/Array IndexingPolicies.ixx)
install_header(TFEL/Math/Array IterateOverMultipleIndices.hxx)
install_header(TFEL/Math/Array MultipleIndicesFunctors.hxx)
install_header(TFEL/Math/Array MutableFixedSizeArrayBase.hxx)
install_header(TFEL/Math/Array MutableFixedSizeArrayBase.ixx)
install_header(TFEL/Math/Array MutableRuntimeArrayBase.hxx)
install_header(TFEL/Math/Array MutableRuntimeArrayBase.ixx)
install_header(TFEL/Math/Array RuntimeArrayPolicies.hxx)
install_header(TFEL/Math/Array RuntimeIndexingPolicies.hxx)
install_header(TFEL/Math/Array FixedSizeArrayDerivative.hxx)
install_header(TFEL/Math/Parser BinaryFunction.hxx)
install_header(TFEL/Math/Parser EvaluatorBase.hxx)
install_header(TFEL/Math/Parser Negation.hxx)
install_header(TFEL/Math/Parser BinaryFunction.ixx)
install_header(TFEL/Math/Parser Expr.hxx)
install_header(TFEL/Math/Parser Number.hxx)
install_header(TFEL/Math/Parser BinaryOperator.hxx)
install_header(TFEL/Math/Parser BinaryOperator.ixx)
install_header(TFEL/Math/Parser Function.hxx)
install_header(TFEL/Math/Parser Function.ixx)
install_header(TFEL/Math/Parser PowerFunction.hxx)
install_header(TFEL/Math/Parser PowerFunction.ixx)
install_header(TFEL/Math/Parser Variable.hxx)
install_header(TFEL/Math/Parser ExternalCFunction.hxx)
install_header(TFEL/Math/Parser ExternalCastemFunction.hxx)
install_header(TFEL/Math/Parser ExternalCyranoFunction.hxx)
install_header(TFEL/Math/Parser ExternalFunction.hxx)
install_header(TFEL/Math/Parser ConstantExternalFunction.hxx)
install_header(TFEL/Math/Parser ExternalFunctionManager.hxx)
install_header(TFEL/Math/Parser ExternalFunctionExpr.hxx)
install_header(TFEL/Math/Parser ExternalFunctionExpr2.hxx)
install_header(TFEL/Math/Parser DifferentiatedFunctionExpr.hxx)
install_header(TFEL/Math/Parser KrigedFunction.hxx)
install_header(TFEL/Math/Parser KrigedFunction.ixx)
install_header(TFEL/Math/Parser EvaluatorTExpr.hxx)
install_header(TFEL/Math/Parser EvaluatorTExpr.ixx)
install_header(TFEL/Math/Parser IntegerEvaluatorTExpr.hxx)
install_header(TFEL/Math/Parser EvaluatorProxy.hxx)
install_header(TFEL/Math/Parser EvaluatorProxy.ixx)
install_header(TFEL/Math/Parser LogicalExpr.hxx)
install_header(TFEL/Math/Parser LogicalExpr.ixx)
install_header(TFEL/Math/Parser ConditionalExpr.hxx)
install_header(TFEL/Math/Parser EvaluatorFunction.hxx)
install_header(TFEL/Math/Parser EvaluatorFunction.ixx)
install_header(TFEL/Math/Parser LevenbergMarquardtEvaluatorWrapper.hxx)
install_header(TFEL/Math/Parser LevenbergMarquardtExternalFunctionWrapper.hxx)
install_header(TFEL/Math Evaluator.hxx)
install_header(TFEL/Math IntegerEvaluator.hxx)
install_header(TFEL/Math Kriging.hxx)
install_header(TFEL/Math Kriging1D.hxx)
install_header(TFEL/Math Kriging2D.hxx)
install_header(TFEL/Math Kriging3D.hxx)
install_header(TFEL/Math FactorizedKriging.hxx)
install_header(TFEL/Math FactorizedKriging1D1D.hxx)
install_header(TFEL/Math FactorizedKriging1D2D.hxx)
install_header(TFEL/Math FactorizedKriging1D3D.hxx)
install_header(TFEL/Math LinearInterpolation.hxx)
install_header(TFEL/Math LinearInterpolation.ixx)
install_header(TFEL/Math CubicSpline.hxx)
install_header(TFEL/Math CubicSpline.ixx)
install_header(TFEL/Math/Kriging Kriging.ixx)
install_header(TFEL/Math/Kriging KrigingUtilities.hxx)
install_header(TFEL/Math/Kriging KrigingPieceWiseLinearModel1D.hxx)
install_header(TFEL/Math/Kriging KrigingDefaultModel1D.hxx)
install_header(TFEL/Math/Kriging KrigingErrors.hxx)
install_header(TFEL/Math/Kriging KrigingDefaultNuggetModel.hxx)
install_header(TFEL/Math/Kriging FactorizedKriging.ixx)
install_header(TFEL/Math/Kriging KrigingVariable.hxx)
install_header(TFEL/Math/Kriging KrigingDefaultModel3D.hxx)
install_header(TFEL/Math/Kriging KrigingDefaultModels.hxx)
install_header(TFEL/Math/Kriging KrigingDefaultModel2D.hxx)
install_header(TFEL/Math LUSolve.hxx)

=== mfront-doc/CMakeLists.txt ===
add_subdirectory(include)
add_subdirectory(src)

=== mfront/CMakeLists.txt ===
add_subdirectory(include)
add_subdirectory(src)
if(enable-testing)
  add_subdirectory(tests)
endif()
add_subdirectory(Examples)

=== src/CMakeLists.txt ===
add_subdirectory(Config)
add_subdirectory(UnicodeSupport)
add_subdirectory(Tests)
add_subdirectory(Exception)
add_subdirectory(Utilities)
add_subdirectory(Glossary)
add_subdirectory(System)
add_subdirectory(Math)
add_subdirectory(NUMODIS)
add_subdirectory(Material)

=== tests/CMakeLists.txt ===
add_subdirectory(Tests)
add_subdirectory(MetaProgramming)
add_subdirectory(Glossary)
add_subdirectory(FSAlgorithms)
add_subdirectory(UnicodeSupport)
add_subdirectory(Utilities)
add_subdirectory(Material)
add_subdirectory(System)
add_subdirectory(Math)

=== bindings/python/CMakeLists.txt ===
if(enable-pybind11)
  add_subdirectory(pybind11)
else(enable-pybind11)
  add_subdirectory(boost)
endif(enable-pybind11)

=== docs/doxygen/CMakeLists.txt ===
if(TFEL_APPEND_SUFFIX)
  install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html
    DESTINATION share/doc/tfel-${TFEL_SUFFIX}
    COMPONENT doxygen)
  install(FILES
    ${PROJECT_SOURCE_DIR}/docs/doxygen/img/background.svg
    ${PROJECT_SOURCE_DIR}/docs/mfront-doxygen.png
    ${PROJECT_SOURCE_DIR}/docs/mfront-en.svg
    ${PROJECT_SOURCE_DIR}/docs/mfront-fr.svg
    ${PROJECT_SOURCE_DIR}/docs/web/img/pipe.svg
    ${PROJECT_SOURCE_DIR}/docs/web/img/plate.svg
    DESTINATION share/doc/tfel-${TFEL_SUFFIX}/html/img/
    COMPONENT doxygen)
else(TFEL_APPEND_SUFFIX)
  install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html
    DESTINATION share/doc/tfel
    COMPONENT doxygen)
  install(FILES
    ${PROJECT_SOURCE_DIR}/docs/doxygen/img/background.svg
    ${PROJECT_SOURCE_DIR}/docs/mfront-en.svg
    ${PROJECT_SOURCE_DIR}/docs/mfront-fr.svg
    ${PROJECT_SOURCE_DIR}/docs/web/img/pipe.svg
    ${PROJECT_SOURCE_DIR}/docs/web/img/plate.svg
    DESTINATION share/doc/tfel/html/img/
    COMPONENT doxygen)
endif(TFEL_APPEND_SUFFIX)

=== docs/mtest/CMakeLists.txt ===
add_subdirectory(mtest)
add_subdirectory(ptest)

macro(install_mtest_desc file)
  if(TFEL_APPEND_SUFFIX)
    install(FILES ${file}.md
      DESTINATION share/doc/mtest-${TFEL_SUFFIX}
      COMPONENT mtest)
  else(TFEL_APPEND_SUFFIX)
    install(FILES ${file}.md DESTINATION share/doc/mtest
      COMPONENT mtest)
  endif(TFEL_APPEND_SUFFIX)
endmacro(install_mtest_desc file)

install_mtest_desc(Author)
install_mtest_desc(Behaviour)
install_mtest_desc(CastemAccelerationPeriod)
install_mtest_desc(CastemAccelerationTrigger)
install_mtest_desc(Date)
install_mtest_desc(DynamicTimeStepScaling)
install_mtest_desc(Description)
install_mtest_desc(Evolution)
install_mtest_desc(ExternalStateVariable)
install_mtest_desc(InternalStateVariable)
install_mtest_desc(HandleThermalExpansion)
install_mtest_desc(MaterialProperty)
install_mtest_desc(MaximumNumberOfIterations)
install_mtest_desc(MaximumNumberOfSubSteps)
install_mtest_desc(Message)
install_mtest_desc(Model)
install_mtest_desc(OutputFrequency)
install_mtest_desc(Parameter)
install_mtest_desc(Import)
install_mtest_desc(IntegerParameter)
install_mtest_desc(UnsignedIntegerParameter)
install_mtest_desc(MinimalTimeStep)
install_mtest_desc(MinimalTimeStepScalingFactor)
install_mtest_desc(MaximalTimeStep)
install_mtest_desc(MaximalTimeStepScalingFactor)
install_mtest_desc(OutputFile)
install_mtest_desc(OutputFilePrecision)
install_mtest_desc(Print)
install_mtest_desc(PredictionPolicy)
install_mtest_desc(Real)
install_mtest_desc(ResidualFile)
install_mtest_desc(ResidualFilePrecision)
install_mtest_desc(StiffnessMatrixType)
install_mtest_desc(StiffnessUpdatePolicy)
install_mtest_desc(Times)
install_mtest_desc(UseCastemAccelerationAlgorithm)
install_mtest_desc(OutOfBoundsPolicy)
install_mtest_desc(AccelerationAlgorithm)
install_mtest_desc(AccelerationAlgorithmParameter)
install_mtest_desc(CompareToNumericalTangentOperator)
install_mtest_desc(NumericalTangentOperatorPerturbationValue)

if(HAVE_LATEX AND GENERATE_REFERENCE_DOC)

  configure_file(Champs.tex.in Champs.tex @ONLY)
  configure_file(mtest.tex.in
    mtest.tex @ONLY)
  
  ADD_CUSTOM_COMMAND(
    OUTPUT    mtest.pdf
    DEPENDS    ${CMAKE_CURRENT_SOURCE_DIR}/Champs.tex.in
    DEPENDS    ${CMAKE_CURRENT_SOURCE_DIR}/mtest.tex.in
    COMMAND   TEXMFHOME=${abs_top_srcdir}/docs/tex/texmf        ${LATEX_COMPILER}
    ARGS      -interaction=batchmode
    ARGS       mtest.tex
    COMMAND   TEXMFHOME=${abs_top_srcdir}/docs/tex/texmf        ${LATEX_COMPILER}
    ARGS      -interaction=batchmode
    ARGS       mtest.tex
    COMMAND   BSTINPUTS=${abs_top_srcdir}/docs/tex/texmf/bibtex ${BIBTEX_COMPILER}
    ARGS      -terse mtest
    COMMAND   ${MAKEINDEX_COMPILER}
    ARGS      -s ${CMAKE_CURRENT_SOURCE_DIR}/style.ist mkeys.idx
    COMMAND   TEXMFHOME=${abs_top_srcdir}/docs/tex/texmf        ${LATEX_COMPILER}
    ARGS      -interaction=batchmode
    ARGS       mtest.tex
    COMMAND   TEXMFHOME=${abs_top_srcdir}/docs/tex/texmf        ${LATEX_COMPILER}
    ARGS      -interaction=batchmode
    ARGS       mtest.tex
    COMMAND   TEXMFHOME=${abs_top_srcdir}/docs/tex/texmf        ${DVIPS_CONVERTER}
    ARGS      -R0 mtest.dvi
    COMMAND   ${PS2PDF_CONVERTER}
    ARGS      mtest.ps
    COMMENT   "mtest.pdf")
  
  add_custom_target(mtest-doc-pdf ALL DEPENDS mtest.pdf)
  add_dependencies(doc-pdf
    mtest-doc-pdf)

  if(TFEL_APPEND_SUFFIX)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/mtest.pdf
      DESTINATION share/doc/mtest-${TFEL_SUFFIX}
      COMPONENT docs)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/mtest.pdf
      DESTINATION share/doc/tfel-${TFEL_SUFFIX}/web/documents/mtest
      COMPONENT website)
  else(TFEL_APPEND_SUFFIX)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/mtest.pdf
      DESTINATION share/doc/mtest
      COMPONENT docs)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/mtest.pdf
      DESTINATION share/doc/tfel/web/documents/mtest
      COMPONENT website)
  endif(TFEL_APPEND_SUFFIX)
endif(HAVE_LATEX AND GENERATE_REFERENCE_DOC)

=== docs/ptest/CMakeLists.txt ===
if(HAVE_LATEX AND GENERATE_REFERENCE_DOC)

  configure_file(ptest.tex.in
    ptest.tex @ONLY)
  
  ADD_CUSTOM_COMMAND(
    OUTPUT    ptest.pdf
    DEPENDS    ${CMAKE_CURRENT_SOURCE_DIR}/ptest.tex.in
    COMMAND   TEXMFHOME=${abs_top_srcdir}/docs/tex/texmf        ${PDFLATEX_COMPILER}
    ARGS      -interaction=batchmode
    ARGS       ptest.tex
    COMMAND   TEXMFHOME=${abs_top_srcdir}/docs/tex/texmf        ${PDFLATEX_COMPILER}
    ARGS      -interaction=batchmode
    ARGS       ptest.tex
    COMMAND   TEXMFHOME=${abs_top_srcdir}/docs/tex/texmf        ${PDFLATEX_COMPILER}
    ARGS      -interaction=batchmode
    ARGS       ptest.tex
    COMMAND   TEXMFHOME=${abs_top_srcdir}/docs/tex/texmf        ${PDFLATEX_COMPILER}
    ARGS      -interaction=batchmode
    ARGS       ptest.tex
    COMMENT   "ptest.pdf")
  
  add_custom_target(ptest-doc-pdf ALL DEPENDS ptest.pdf)
  add_dependencies(doc-pdf
    ptest-doc-pdf)
  if(TFEL_APPEND_SUFFIX)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ptest.pdf
      DESTINATION share/doc/mtest-${TFEL_SUFFIX}/ptest
      COMPONENT docs)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ptest.pdf
      DESTINATION share/doc/tfel-${TFEL_SUFFIX}/web/documents/ptest
      COMPONENT website)
  else(TFEL_APPEND_SUFFIX)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ptest.pdf
      DESTINATION share/doc/mtest/ptest
      COMPONENT docs)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ptest.pdf
      DESTINATION share/doc/tfel/web/documents/ptest
      COMPONENT website)
  endif(TFEL_APPEND_SUFFIX)
endif(HAVE_LATEX AND GENERATE_REFERENCE_DOC)

=== docs/release-notes-2.0.3/CMakeLists.txt ===
if(HAVE_LATEX)
  configure_file(tfel-2.0.3.tex.in
    tfel-2.0.3.tex @ONLY)

  ADD_CUSTOM_COMMAND(
    OUTPUT    tfel-2.0.3.pdf
    DEPENDS    ${CMAKE_CURRENT_SOURCE_DIR}/tfel-2.0.3.tex.in
    COMMAND   TEXMFHOME=${abs_top_srcdir}/docs/tex/texmf        ${PDFLATEX_COMPILER}
    ARGS      -interaction=batchmode tfel-2.0.3.tex
    COMMAND   TEXMFHOME=${abs_top_srcdir}/docs/tex/texmf        ${PDFLATEX_COMPILER}
    ARGS      -interaction=batchmode tfel-2.0.3.tex
    COMMAND   BSTINPUTS=${abs_top_srcdir}/docs/tex/texmf/bibtex ${BIBTEX_COMPILER}
    ARGS      -terse tfel-2.0.3
    COMMAND   TEXMFHOME=${abs_top_srcdir}/docs/tex/texmf        ${PDFLATEX_COMPILER}
    ARGS      -interaction=batchmode tfel-2.0.3.tex
    COMMAND   TEXMFHOME=${abs_top_srcdir}/docs/tex/texmf        ${PDFLATEX_COMPILER}
    ARGS      -interaction=batchmode tfel-2.0.3.tex
    COMMENT   "tfel-2.0.3.pdf")

  add_custom_target(tfel-2.0.3-doc-pdf ALL DEPENDS tfel-2.0.3.pdf)
  add_dependencies(doc-pdf
    tfel-2.0.3-doc-pdf)

  if(TFEL_APPEND_SUFFIX)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/tfel-2.0.3.pdf
      DESTINATION share/doc/tfel-${TFEL_SUFFIX}/references
      COMPONENT docs)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/tfel-2.0.3.pdf
      DESTINATION share/doc/tfel-${TFEL_SUFFIX}/web/documents/tfel
      COMPONENT website)
  else(TFEL_APPEND_SUFFIX)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/tfel-2.0.3.pdf
      DESTINATION share/doc/tfel/references
      COMPONENT docs)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/tfel-2.0.3.pdf
      DESTINATION share/doc/tfel/web/documents/tfel
      COMPONENT website)
  endif(TFEL_APPEND_SUFFIX)

endif(HAVE_LATEX)

=== docs/release-notes-2.0/CMakeLists.txt ===
if(HAVE_LATEX)
  configure_file(Champs.tex.in Champs.tex @ONLY)
  configure_file(tfel-2.0.tex.in
    tfel-2.0.tex @ONLY)

  ADD_CUSTOM_COMMAND(
    OUTPUT    tfel-2.0.pdf
    DEPENDS    ${CMAKE_CURRENT_SOURCE_DIR}/Champs.tex.in
    DEPENDS    ${CMAKE_CURRENT_SOURCE_DIR}/tfel-2.0.tex.in
    COMMAND   TEXMFHOME=${abs_top_srcdir}/docs/tex/texmf        ${LATEX_COMPILER}
    ARGS      -interaction=batchmode tfel-2.0.tex
    COMMAND   TEXMFHOME=${abs_top_srcdir}/docs/tex/texmf        ${LATEX_COMPILER}
    ARGS      -interaction=batchmode tfel-2.0.tex
    COMMAND   BSTINPUTS=${abs_top_srcdir}/docs/tex/texmf/bibtex ${BIBTEX_COMPILER}
    ARGS      -terse tfel-2.0
    # COMMAND   ${MAKEINDEX_COMPILER}
    # ARGS      -s ${CMAKE_CURRENT_SOURCE_DIR}/style.ist mkeys.idx
    COMMAND   TEXMFHOME=${abs_top_srcdir}/docs/tex/texmf        ${LATEX_COMPILER}
    ARGS      -interaction=batchmode tfel-2.0.tex
    COMMAND   TEXMFHOME=${abs_top_srcdir}/docs/tex/texmf        ${LATEX_COMPILER}
    ARGS      -interaction=batchmode tfel-2.0.tex
    COMMAND   TEXMFHOME=${abs_top_srcdir}/docs/tex/texmf        ${DVIPS_CONVERTER}
    ARGS      -R0 tfel-2.0.dvi
    COMMAND   ${PS2PDF_CONVERTER}
    ARGS      tfel-2.0.ps
    COMMENT   "tfel-2.0.pdf")

  add_custom_target(tfel-2.0-doc-pdf ALL DEPENDS tfel-2.0.pdf)
  add_dependencies(doc-pdf
    tfel-2.0-doc-pdf)
  if(TFEL_APPEND_SUFFIX)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/tfel-2.0.pdf
      DESTINATION share/doc/tfel-${TFEL_SUFFIX}/references
      COMPONENT docs)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/tfel-2.0.pdf
      DESTINATION share/doc/tfel-${TFEL_SUFFIX}/web/documents/tfel
      COMPONENT website)
  else(TFEL_APPEND_SUFFIX)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/tfel-2.0.pdf
      DESTINATION share/doc/tfel/references
      COMPONENT docs)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/tfel-2.0.pdf
      DESTINATION share/doc/tfel/web/documents/tfel
      COMPONENT website)
  endif(TFEL_APPEND_SUFFIX)

endif(HAVE_LATEX)

=== docs/release-notes-3.0/CMakeLists.txt ===
if(HAVE_LATEX)
  configure_file(Champs.tex.in Champs.tex @ONLY)
  configure_file(tfel-3.0.tex.in
    tfel-3.0.tex @ONLY)

  ADD_CUSTOM_COMMAND(
    OUTPUT    tfel-3.0.pdf
    DEPENDS    ${CMAKE_CURRENT_SOURCE_DIR}/Champs.tex.in
    DEPENDS    ${CMAKE_CURRENT_SOURCE_DIR}/tfel-3.0.tex.in
    COMMAND   TEXMFHOME=${abs_top_srcdir}/docs/tex/texmf        ${LATEX_COMPILER}
    ARGS      -interaction=batchmode tfel-3.0.tex
    COMMAND   TEXMFHOME=${abs_top_srcdir}/docs/tex/texmf        ${LATEX_COMPILER}
    ARGS      -interaction=batchmode tfel-3.0.tex
    # COMMAND   BSTINPUTS=${abs_top_srcdir}/docs/tex/texmf/bibtex ${BIBTEX_COMPILER}
    # ARGS      -terse tfel-3.0
    # COMMAND   ${MAKEINDEX_COMPILER}
    # ARGS      -s ${CMAKE_CURRENT_SOURCE_DIR}/style.ist mkeys.idx
    COMMAND   TEXMFHOME=${abs_top_srcdir}/docs/tex/texmf        ${LATEX_COMPILER}
    ARGS      -interaction=batchmode tfel-3.0.tex
    COMMAND   TEXMFHOME=${abs_top_srcdir}/docs/tex/texmf        ${LATEX_COMPILER}
    ARGS      -interaction=batchmode tfel-3.0.tex
    COMMAND   TEXMFHOME=${abs_top_srcdir}/docs/tex/texmf        ${DVIPS_CONVERTER}
    ARGS      -R0 tfel-3.0.dvi
    COMMAND   ${PS2PDF_CONVERTER}
    ARGS      tfel-3.0.ps
    COMMENT   "tfel-3.0.pdf")

  add_custom_target(tfel-3.0-doc-pdf ALL DEPENDS tfel-3.0.pdf)
  add_dependencies(doc-pdf
    tfel-3.0-doc-pdf)
  if(TFEL_APPEND_SUFFIX)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/tfel-3.0.pdf
      DESTINATION share/doc/tfel-${TFEL_SUFFIX}/references
      COMPONENT docs)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/tfel-3.0.pdf
      DESTINATION share/doc/tfel-${TFEL_SUFFIX}/web/documents/tfel/tfel
      COMPONENT website)
  else(TFEL_APPEND_SUFFIX)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/tfel-3.0.pdf
      DESTINATION share/doc/tfel/references
      COMPONENT docs)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/tfel-3.0.pdf
      DESTINATION share/doc/tfel/web/documents/tfel/tfel
      COMPONENT website)
  endif(TFEL_APPEND_SUFFIX)
endif(HAVE_LATEX)

=== PKGBUILD ===
# Maintainer: Rafał Brzegowy <rafal.brzegowy@yahoo.com>

_realname=tfel
pkgbase=mingw-w64-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-${_realname}")
pkgver=5.0.1
pkgrel=1
pkgdesc='MFront: a code generation tool dedicated to material knowledge (mingw-w64)'
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
provides=("${MINGW_PACKAGE_PREFIX}-mfront")
depends=("${MINGW_PACKAGE_PREFIX}-gnuplot"
         $([[ ${MINGW_PACKAGE_PREFIX} == *-clang-* ]] || echo "${MINGW_PACKAGE_PREFIX}-gcc-libgfortran") )
makedepends=("unzip"
             "${MINGW_PACKAGE_PREFIX}-ninja"
             "${MINGW_PACKAGE_PREFIX}-cmake"
             "${MINGW_PACKAGE_PREFIX}-cc"
             $([[ ${MINGW_PACKAGE_PREFIX} == *-clang-* ]] || echo "${MINGW_PACKAGE_PREFIX}-gcc-fortran") )
license=('spdx:GPL-3.0-or-later')
url='https://tfel.sourceforge.io/'
source=(https://github.com/thelfer/${_realname}/archive/TFEL-${pkgver}.zip)
sha256sums=('bf8ce82ab00d8472f9c7bd2640efc419e400b08c6ef04b6464af799c8216f589')
noextract=("TFEL-${pkgver}.zip") # bsdtar could not unpack this archive

prepare() {
  unzip -oq TFEL-${pkgver}.zip -d "${srcdir}"
}

build() {
  mkdir -p "${srcdir}/build-${MSYSTEM}" && cd "${srcdir}/build-${MSYSTEM}"

  declare -a extra_conf
  case ${MSYSTEM} in
    CLANG*)
      extra_conf+=("-Denable-fortran=OFF");;
    *)
      extra_conf+=("-Denable-fortran=ON");;
  esac

  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=" \
    ${MINGW_PREFIX}/bin/cmake \
      -GNinja \
      -DCMAKE_INSTALL_PREFIX=${MINGW_PREFIX} \
      -DCMAKE_BUILD_TYPE=Release \
      -Denable-python=OFF \
      -Denable-python-bindings=OFF \
      -Denable-aster=ON \
      -Denable-abaqus=ON \
      -Denable-ansys=ON \
      -Denable-europlexus=ON \
      -Denable-zmat=ON \
      -Denable-cyrano=ON \
      -Denable-calculix=ON \
      -Denable-comsol=ON \
      -Denable-diana-fea=ON \
      -Denable-lsdyna=ON \
      -Denable-cxx-17=ON \
      -Denable-portable-build=ON \
      -Denable-reference-doc=OFF \
      ${extra_conf} \
      ../${_realname}-TFEL-${pkgver}

  ${MINGW_PREFIX}/bin/cmake --build .
}

package() {
  cd "${srcdir}/build-${MSYSTEM}"
  DESTDIR="${pkgdir}" cmake --build . --target install
  install -Dm644 "${srcdir}"/${_realname}-TFEL-${pkgver}/LICENCE-GNU-GPL "${pkgdir}"${MINGW_PREFIX}/share/licenses/${_realname}/LICENSE
}

# vim: ts=2 sw=2 et:
